## lxqt-openssh-askpass 2.0.1

=== debian/changelog ===
lxqt-openssh-askpass (2.0.1-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Adjust dependencies.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:44:04 -0500

lxqt-openssh-askpass (1.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Bump copyright year.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 12 Nov 2023 18:36:53 -0600
