=== debian/control ===
Source: lxqt-openssh-askpass
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>,
           Yuan CHAO <yuanchao@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf6windowsystem-dev,
               liblxqt2-dev (>= 2.0.0),
               libx11-dev,
               qt6-svg-dev
Standards-Version: 4.7.0
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-openssh-askpass-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-openssh-askpass-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-openssh-askpass
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-openssh-askpass.git
Homepage: https://github.com/lxqt/lxqt-openssh-askpass
Rules-Requires-Root: no

Package: lxqt-openssh-askpass
Architecture: any
Provides: ssh-askpass
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-openssh-askpass-l10n, lxqt-qtplugin, lxqt-session
Suggests: lxqt | lxqt-core
Description: OpenSSH user/password GUI dialog for LXQt
 This module handles openssh security password access for LXQt. The openssh
 askpass module, will perform security test over scale access privileges.
 .
 The LXQt modules are desktop independent tools, and operate as daemons for the
 local user for desktop specific operations.
 .
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies, ships several core desktop components, all of which are
 optional:
 .
  * Panel
  * Desktop
  * Application launcher
  * Settings center
  * Session handler
  * Polkit handler
  * SSH password access (this)
  * Display manager handler
 .
 These components perform similar actions to those available in other
 desktop environments, and their names are self-descriptive. They are usually
 not launched by hand but automatically, when choosing a LXQt session in the
 Display Manager.

Package: lxqt-openssh-askpass-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for lxqt-openssh-askpass
 The l10n files for lxqt-openssh-askpass.
 .
 This package contains the l10n files needed by lxqt-openssh-askpass.
