## lxqt-openssh-askpass 2.1.0

=== debian/changelog ===
lxqt-openssh-askpass (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * debian/control: removed myself from uploaders.
  * debian/control: build-deps on liblxqt-dev (>= 2.1.0~).
  * debian/control: recommends on lxqt-qtplugin (>= 2.1.0~).

 -- Macy Lin <macy@debconf.org>  Sat, 07 Dec 2024 11:25:59 +0100

lxqt-openssh-askpass (2.0.1-1) unstable; urgency=medium

  * Merge to unstable.
  * Run wrap-and-sort.
  * Team upload to unstable.

 -- Macy Lin <macy@debconf.org>  Mon, 02 Dec 2024 22:34:03 +0100

lxqt-openssh-askpass (2.0.1-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  * New upstream release 2.0.0
  * debian/control: bump dep qttranslations5-l10n -> qt6-translations-l10n
  * debian/control: remove dep on libqt5x11extras5-dev
  * debian/control: bump dep on liblxqt1-dev -> liblxqt-dev
  * debian/control: bump dep on libkf5windowsystem-dev ->
    libkf6windowsystem-dev
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev

  [ Andrew Lee (李健秋) ]
  * New upstream version 2.0.1
  * debian/salsa-ci.yml: build against to experimental.
  * debian/copyright: update.
  * debian/control: recommends on lxqt-qtplugin (>= 2.0.0~).

 -- Macy Lin <macy@debconf.org>  Thu, 28 Nov 2024 21:46:24 +0100
