=== debian/control ===
--- 
+++ 
@@ -1,23 +1,17 @@
 Source: lxqt-openssh-askpass
-Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
-Uploaders: Alf Gaida <agaida@siduction.org>,
-           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
-           Andrew Lee (李健秋) <ajqlee@debian.org>,
-           Yukiharu YABUKI <yyabuki@debian.org>,
-           Yuan CHAO <yuanchao@gmail.com>
+Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
+Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
+           Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: x11
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               libglib2.0-dev,
                libkf6windowsystem-dev,
-               liblxqt2-dev (>= 2.0.0),
-               libx11-dev,
-               qt6-svg-dev
+               liblxqt-dev (>= 2.1.0~),
+               qt6-tools-dev
 Standards-Version: 4.7.0
-Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-openssh-askpass-packaging
-Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-openssh-askpass-packaging.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-openssh-askpass
-XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-openssh-askpass.git
+Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-openssh-askpass
+Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-openssh-askpass.git
 Homepage: https://github.com/lxqt/lxqt-openssh-askpass
 Rules-Requires-Root: no
 
@@ -25,7 +19,7 @@
 Architecture: any
 Provides: ssh-askpass
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: lxqt-openssh-askpass-l10n, lxqt-qtplugin, lxqt-session
+Recommends: lxqt-openssh-askpass-l10n, lxqt-qtplugin (>= 2.1.0~), lxqt-session
 Suggests: lxqt | lxqt-core
 Description: OpenSSH user/password GUI dialog for LXQt
  This module handles openssh security password access for LXQt. The openssh
