=== debian/changelog ===
lxqt-openssh-askpass (2.2.0-0ubuntu1) questing; urgency=medium

  * New upstream release.
    - Update build dependencies.
  * Update copyright file.
  * Update Standards-Version to 4.7.2, no changes needed.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 31 Jul 2025 16:36:40 -0500

lxqt-openssh-askpass (2.1.0-0ubuntu3) plucky; urgency=medium

  * Update Standards-Version to 4.7.1, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 16:55:08 -0600

lxqt-openssh-askpass (2.1.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for lxqt-build-tools C++17 -> C++20.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Jan 2025 03:57:19 -0600

lxqt-openssh-askpass (2.1.0-0ubuntu1) plucky; urgency=medium

  * New upstream release.
    - Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Nov 2024 15:32:47 -0600
