## lxqt-openssh-askpass 2.3.0

=== debian/changelog ===
lxqt-openssh-askpass (2.3.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/watch: Upgrade to version 5

  [ Macy Lin ]
  * New upstream version 2.3.0
  * debian/copyright: update.
  * debian/control: build-deps on liblxqt-dev (>= 2.3.0~).
  * debian/control: recommends on lxqt-qtplugin (>= 2.3.0~).

 -- Macy Lin <macy@debconf.org>  Thu, 18 Dec 2025 15:05:51 +0100

lxqt-openssh-askpass (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * d/control: Bump Standards-Version to 4.7.2.
  * d/copyright: Update copyright year.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 14 Aug 2025 20:10:55 +0800
